@use "variables" as *;

/*
 * imports from mixins will be prefixed with 'mx'
 * prefixing is not needed if you import mixins as '*'
 */
@use "mixins" as mx;


body {
  background-color: $background;
  padding: 10px;

  h1 {
    color: $highlight;
    @include mx.transform(rotate(-10deg));
  }
}

.logo {
	height: 10em;
	padding: 1.5em;
	will-change: filter;
	transition: filter 300ms;
}
.logo:hover {
	filter: drop-shadow(0 0 2em #646cffaa);
}
.logo.vanilla:hover {
	filter: drop-shadow(0 0 2em #3178c6aa);
}